<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursVorschlag\KursVorschlagBearbeiten;

class KursVorschlagBearbeitenFormularController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new KursVorschlagBearbeitenFormularUseCase(
      $this->getRequestObj()
    );
  }

  
  protected function getRequestObj()
  {
    $requestObj = new KursVorschlagBearbeitenFormularRequest();
    $requestObj->kursplanungId = \GetOperations::getVarValue('kursplanung');

    return $requestObj;
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new KursVorschlagBearbeitenFormularPresenter($pUseCaseResponse);
  }
}